/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.wahl.entity;

public interface WahlartBase extends 
de.ivu.elect.jee.entity.Entity<WahlartPK, WahlartUK>
{

  
  /**
   * getter for primary key wrapper WAHLART.wahlart_id
   *
   * @return
   */
  @Override
  WahlartPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for WAHLART.ANZAHL_ERSATZKANDIDATEN
   *
   */
  java.lang.Long getMaxAnzahlErsatzkandidaturen();

  /**
   * 
   *
   * setter for WAHLART.ANZAHL_ERSATZKANDIDATEN
   *
   * @param maxAnzahlErsatzkandidaturen
   */
  void setMaxAnzahlErsatzkandidaturen(java.lang.Long maxAnzahlErsatzkandidaturen);
      

  /**
   * 
   *
   * getter for WAHLART.ANZAHL_ERSATZKANDIDATEN_ART
   *
   */
  de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt getMaxAnzahlErsatzkandidaturenArt();

  /**
   * 
   *
   * setter for WAHLART.ANZAHL_ERSATZKANDIDATEN_ART
   *
   * @param maxAnzahlErsatzkandidaturenArt
   */
  void setMaxAnzahlErsatzkandidaturenArt(de.ivu.elect.business.wahl.entity.WahlartAnzahlErsatzkandidaturenArt maxAnzahlErsatzkandidaturenArt);
      

  /**
   * 
   *
   * getter for WAHLART.ANZAHL_STIMMEN_PRO_WAEHLER
   *
   */
  java.lang.Long getAnzahlStimmenProWaehler();

  /**
   * 
   *
   * setter for WAHLART.ANZAHL_STIMMEN_PRO_WAEHLER
   *
   * @param anzahlStimmenProWaehler
   */
  void setAnzahlStimmenProWaehler(java.lang.Long anzahlStimmenProWaehler);
      

  /**
   * 
   *
   * getter for WAHLART.ANZAHL_STIMMZETTEL
   *
   */
  java.lang.Long getAnzahlStimmzettel();

  /**
   * 
   *
   * setter for WAHLART.ANZAHL_STIMMZETTEL
   *
   * @param anzahlStimmzettel
   */
  void setAnzahlStimmzettel(java.lang.Long anzahlStimmzettel);
      

  /**
   * 
   *
   * getter for WAHLART.COMMON_WAHLART
   *
   */
  de.ivu.elect.business.wahl.entity.CommonWahlart getCommonWahlart();

  /**
   * 
   *
   * setter for WAHLART.COMMON_WAHLART
   *
   * @param commonWahlart
   */
  void setCommonWahlart(de.ivu.elect.business.wahl.entity.CommonWahlart commonWahlart);
      

  /**
   * 
   *
   * getter for WAHLART.DOKUMENTVORLAGEN
   *
   */
  de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen getDokumentvorlagen();

  /**
   * 
   *
   * setter for WAHLART.DOKUMENTVORLAGEN
   *
   * @param dokumentvorlagen
   */
  void setDokumentvorlagen(de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen dokumentvorlagen);
      

  /**
   * 
   *
   * getter for WAHLART.ERFASSUNG_UEBERNAHME_ART
   *
   */
  de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt getErfassungUebernahmeArt();

  /**
   * 
   *
   * setter for WAHLART.ERFASSUNG_UEBERNAHME_ART
   *
   * @param erfassungUebernahmeArt
   */
  void setErfassungUebernahmeArt(de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeArt erfassungUebernahmeArt);
      

  /**
   * 
   *
   * getter for WAHLART.ERFASSUNG_UEBERNAHME_MANUELL
   *
   */
  de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell getErfassungUebernahmeManuell();

  /**
   * 
   *
   * setter for WAHLART.ERFASSUNG_UEBERNAHME_MANUELL
   *
   * @param erfassungUebernahmeManuell
   */
  void setErfassungUebernahmeManuell(de.ivu.elect.business.wahl.entity.WahlErgebniseingangUebernahmeManuell erfassungUebernahmeManuell);
      

  /**
   * 
   *
   * getter for WAHLART.ERGEBNISART_UMSCHALTBAR
   *
   */
  de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar getErgebnisartUmschaltbar();

  /**
   * 
   *
   * setter for WAHLART.ERGEBNISART_UMSCHALTBAR
   *
   * @param ergebnisartUmschaltbar
   */
  void setErgebnisartUmschaltbar(de.ivu.elect.business.wahl.entity.ErgebnisartUmschaltbar ergebnisartUmschaltbar);
      

  /**
   * 
   *
   * getter for WAHLART.FARBE
   *
   */
  java.lang.String getFarbe();

  /**
   * 
   *
   * setter for WAHLART.FARBE
   *
   * @param farbe
   */
  void setFarbe(java.lang.String farbe);
      

  /**
   * 
   *
   * getter for WAHLART.GRUPPENREIHENFOLGE_VORGEGEBEN
   *
   */
  java.lang.Boolean getGruppenreihenfolgeVorgegeben();

  /**
   * 
   *
   * setter for WAHLART.GRUPPENREIHENFOLGE_VORGEGEBEN
   *
   * @param gruppenreihenfolgeVorgegeben
   */
  void setGruppenreihenfolgeVorgegeben(java.lang.Boolean gruppenreihenfolgeVorgegeben);
      

  /**
   * 
   *
   * getter for WAHLART.GRUPPENVEREINIGUNGEN_ERLAUBT
   *
   */
  java.lang.Boolean getGruppenvereinigungenErlaubt();

  /**
   * 
   *
   * setter for WAHLART.GRUPPENVEREINIGUNGEN_ERLAUBT
   *
   * @param gruppenvereinigungenErlaubt
   */
  void setGruppenvereinigungenErlaubt(java.lang.Boolean gruppenvereinigungenErlaubt);
      

  /**
   * 
   *
   * getter for WAHLART.KENNZEICHEN
   *
   */
  java.lang.String getKennzeichen();

  /**
   * 
   *
   * setter for WAHLART.KENNZEICHEN
   *
   * @param kennzeichen
   */
  void setKennzeichen(java.lang.String kennzeichen);
      

  /**
   * 
   *
   * getter for WAHLART.KURZNAME
   *
   */
  java.lang.String getKurzname();

  /**
   * 
   *
   * setter for WAHLART.KURZNAME
   *
   * @param kurzname
   */
  void setKurzname(java.lang.String kurzname);
      

  /**
   * 
   *
   * getter for WAHLART.LEERE_LISTEN_ERLAUBT
   *
   */
  java.lang.Boolean getLeereListenErlaubt();

  /**
   * 
   *
   * setter for WAHLART.LEERE_LISTEN_ERLAUBT
   *
   * @param leereListenErlaubt
   */
  void setLeereListenErlaubt(java.lang.Boolean leereListenErlaubt);
      

  /**
   * 
   *
   * getter for WAHLART.LISTENVERBINDUNGEN_ERLAUBT
   *
   */
  java.lang.Boolean getListenverbindungenErlaubt();

  /**
   * 
   *
   * setter for WAHLART.LISTENVERBINDUNGEN_ERLAUBT
   *
   * @param listenverbindungenErlaubt
   */
  void setListenverbindungenErlaubt(java.lang.Boolean listenverbindungenErlaubt);
      

  /**
   * 
   *
   * getter for WAHLART.MAX_ANZAHL_NENNUNGEN
   *
   */
  java.lang.Long getMaxAnzahlNennungen();

  /**
   * 
   *
   * setter for WAHLART.MAX_ANZAHL_NENNUNGEN
   *
   * @param maxAnzahlNennungen
   */
  void setMaxAnzahlNennungen(java.lang.Long maxAnzahlNennungen);
      

  /**
   * 
   *
   * getter for WAHLART.NAME
   *
   */
  String getName();

  /**
   * 
   *
   * setter for WAHLART.NAME
   *
   * @param name
   */
  void setName(String name);
      

  /**
   * 
   *
   * getter for WAHLART.SITZBERECHNUNGSALGORITHMUS
   *
   */
  de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus getSitzberechnungsalgorithmus();

  /**
   * 
   *
   * setter for WAHLART.SITZBERECHNUNGSALGORITHMUS
   *
   * @param sitzberechnungsalgorithmus
   */
  void setSitzberechnungsalgorithmus(de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus sitzberechnungsalgorithmus);
      

  /**
   * 
   *
   * getter for WAHLART.STIMMEN_PRO_WAEHLER_ART
   *
   */
  de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt getAnzahlStimmenProWaehlerArt();

  /**
   * 
   *
   * setter for WAHLART.STIMMEN_PRO_WAEHLER_ART
   *
   * @param anzahlStimmenProWaehlerArt
   */
  void setAnzahlStimmenProWaehlerArt(de.ivu.elect.business.wahl.entity.WahlartStimmenProWaehlerArt anzahlStimmenProWaehlerArt);
      

  /**
   * 
   *
   * getter for WAHLART.SYSTEM_GEBIETSEBENE
   *
   */
  String getSystemGebietsebeneUnformatiert();

  /**
   * 
   *
   * setter for WAHLART.SYSTEM_GEBIETSEBENE
   *
   * @param systemGebietsebeneUnformatiert
   */
  void setSystemGebietsebeneUnformatiert(String systemGebietsebeneUnformatiert);
      

  /**
   * 
   *
   * getter for WAHLART.TITEL
   *
   */
  java.lang.String getTitel();

  /**
   * 
   *
   * setter for WAHLART.TITEL
   *
   * @param titel
   */
  void setTitel(java.lang.String titel);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A1_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAOhneWahlscheinEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A1_ENDGUELTIG
   *
   * @param umgangAOhneWahlscheinEndgueltig
   */
  void setUmgangAOhneWahlscheinEndgueltig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAOhneWahlscheinEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A1_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAOhneWahlscheinVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A1_VORLAEUFIG
   *
   * @param umgangAOhneWahlscheinVorlaeufig
   */
  void setUmgangAOhneWahlscheinVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAOhneWahlscheinVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A2_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAMitWahlscheinEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A2_ENDGUELTIG
   *
   * @param umgangAMitWahlscheinEndgueltig
   */
  void setUmgangAMitWahlscheinEndgueltig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAMitWahlscheinEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A2_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAMitWahlscheinVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A2_VORLAEUFIG
   *
   * @param umgangAMitWahlscheinVorlaeufig
   */
  void setUmgangAMitWahlscheinVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAMitWahlscheinVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A3_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangANichtImWaehlerverzeichnisEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A3_ENDGUELTIG
   *
   * @param umgangANichtImWaehlerverzeichnisEndgueltig
   */
  void setUmgangANichtImWaehlerverzeichnisEndgueltig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangANichtImWaehlerverzeichnisEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A3_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangANichtImWaehlerverzeichnisVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A3_VORLAEUFIG
   *
   * @param umgangANichtImWaehlerverzeichnisVorlaeufig
   */
  void setUmgangANichtImWaehlerverzeichnisVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangANichtImWaehlerverzeichnisVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A_G_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAGesamtEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A_G_ENDGUELTIG
   *
   * @param umgangAGesamtEndgueltig
   */
  void setUmgangAGesamtEndgueltig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAGesamtEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_A_G_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAGesamtVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_A_G_VORLAEUFIG
   *
   * @param umgangAGesamtVorlaeufig
   */
  void setUmgangAGesamtVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAGesamtVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_B1_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBOhneWahlscheinEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_B1_ENDGUELTIG
   *
   * @param umgangBOhneWahlscheinEndgueltig
   */
  void setUmgangBOhneWahlscheinEndgueltig(de.ivu.elect.business.wahl.entity.UmgangBWerte umgangBOhneWahlscheinEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_B1_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBOhneWahlscheinVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_B1_VORLAEUFIG
   *
   * @param umgangBOhneWahlscheinVorlaeufig
   */
  void setUmgangBOhneWahlscheinVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangBWerte umgangBOhneWahlscheinVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_B2_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBMitWahlscheinEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_B2_ENDGUELTIG
   *
   * @param umgangBMitWahlscheinEndgueltig
   */
  void setUmgangBMitWahlscheinEndgueltig(de.ivu.elect.business.wahl.entity.UmgangBWerte umgangBMitWahlscheinEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_B2_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBMitWahlscheinVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_B2_VORLAEUFIG
   *
   * @param umgangBMitWahlscheinVorlaeufig
   */
  void setUmgangBMitWahlscheinVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangBWerte umgangBMitWahlscheinVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_B_G_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBGesamtEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_B_G_ENDGUELTIG
   *
   * @param umgangBGesamtEndgueltig
   */
  void setUmgangBGesamtEndgueltig(de.ivu.elect.business.wahl.entity.UmgangBWerte umgangBGesamtEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_B_G_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangBWerte getUmgangBGesamtVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_B_G_VORLAEUFIG
   *
   * @param umgangBGesamtVorlaeufig
   */
  void setUmgangBGesamtVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangBWerte umgangBGesamtVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_GUELTIGE_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangGueltigeEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_GUELTIGE_ENDGUELTIG
   *
   * @param umgangGueltigeEndgueltig
   */
  void setUmgangGueltigeEndgueltig(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte umgangGueltigeEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_GUELTIGE_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangGueltigeVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_GUELTIGE_VORLAEUFIG
   *
   * @param umgangGueltigeVorlaeufig
   */
  void setUmgangGueltigeVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte umgangGueltigeVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_PRUEFZEICHEN_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAPruefkennzeichenEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_PRUEFZEICHEN_ENDGUELTIG
   *
   * @param umgangAPruefkennzeichenEndgueltig
   */
  void setUmgangAPruefkennzeichenEndgueltig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAPruefkennzeichenEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_PRUEFZEICHEN_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangAWerte getUmgangAPruefkennzeichenVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_PRUEFZEICHEN_VORLAEUFIG
   *
   * @param umgangAPruefkennzeichenVorlaeufig
   */
  void setUmgangAPruefkennzeichenVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangAWerte umgangAPruefkennzeichenVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_UNGUELTIGE_ENDGUELTIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangUngueltigeEndgueltig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_UNGUELTIGE_ENDGUELTIG
   *
   * @param umgangUngueltigeEndgueltig
   */
  void setUmgangUngueltigeEndgueltig(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte umgangUngueltigeEndgueltig);
      

  /**
   * 
   *
   * getter for WAHLART.UMGANG_UNGUELTIGE_VORLAEUFIG
   *
   */
  de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte getUmgangUngueltigeVorlaeufig();

  /**
   * 
   *
   * setter for WAHLART.UMGANG_UNGUELTIGE_VORLAEUFIG
   *
   * @param umgangUngueltigeVorlaeufig
   */
  void setUmgangUngueltigeVorlaeufig(de.ivu.elect.business.wahl.entity.UmgangGueltigeWerte umgangUngueltigeVorlaeufig);
      

  /**
   * 
   *
   * getter for WAHLART.WAHLAUSSCHUSSBEZEICHNUNG
   *
   */
  java.lang.String getWahlausschussbezeichnung();

  /**
   * 
   *
   * setter for WAHLART.WAHLAUSSCHUSSBEZEICHNUNG
   *
   * @param wahlausschussbezeichnung
   */
  void setWahlausschussbezeichnung(java.lang.String wahlausschussbezeichnung);
      

  /**
   * 
   *
   * getter for WAHLART.WAHLBERECHTIGUNG_IM_AUSLAND
   *
   */
  de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland getWahlberechtigungImAusland();

  /**
   * 
   *
   * setter for WAHLART.WAHLBERECHTIGUNG_IM_AUSLAND
   *
   * @param wahlberechtigungImAusland
   */
  void setWahlberechtigungImAusland(de.ivu.elect.business.wahl.entity.WahlberechtigungImAusland wahlberechtigungImAusland);
      

  /**
   * 
   *
   * getter for WAHLART.WAHLBEZEICHNUNG_LANG
   *
   */
  java.lang.String getWahlbezeichnungLang();

  /**
   * 
   *
   * setter for WAHLART.WAHLBEZEICHNUNG_LANG
   *
   * @param wahlbezeichnungLang
   */
  void setWahlbezeichnungLang(java.lang.String wahlbezeichnungLang);
      

  /**
   * 
   *
   * getter for WAHLART.ZULASSUNGSPRUEFUNG
   *
   */
  de.ivu.elect.business.wahl.entity.Zulassungspruefung getZulassungspruefung();

  /**
   * 
   *
   * setter for WAHLART.ZULASSUNGSPRUEFUNG
   *
   * @param zulassungspruefung
   */
  void setZulassungspruefung(de.ivu.elect.business.wahl.entity.Zulassungspruefung zulassungspruefung);
      

  /**
   * 
   *
   * getter for WAHLART.ZU_WAEHLENDES_GREMIUM
   *
   */
  java.lang.String getZuWaehlendesGremium();

  /**
   * 
   *
   * setter for WAHLART.ZU_WAEHLENDES_GREMIUM
   *
   * @param zuWaehlendesGremium
   */
  void setZuWaehlendesGremium(java.lang.String zuWaehlendesGremium);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setMandant(de.ivu.elect.business.mandant.entity.Mandant mandant);

  /**
   * 
   */
  de.ivu.elect.business.mandant.entity.Mandant getMandant();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

  /**
  * getter muss read-only verwendet werden, da die Beziehung auf der anderen Seite nicht aktualisiert wird!
  */
  java.util.Set<de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft> getGebietsarteigenschaftsByWahlart();

  /**
  * Hinzufuegen von de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft
  */
  void addGebietsarteigenschaftByWahlart(de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft gebietsarteigenschaftByWahlart);

  /**
  * Entfernen von de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft
  */
  void removeGebietsarteigenschaftByWahlart(de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft gebietsarteigenschaftByWahlart);

 /**
  * Entfernen von allen de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft
  */
   void removeAllGebietsarteigenschaftByWahlarts();


/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
